# White background for the screen
Screen.backgroundColor = "#fff"


# A few screens
screenA = new Layer
	size: Screen.size
	backgroundColor: "#28AFFA"
Utils.labelLayer screenA, "Screen A"

screenB = new Layer
	size: Screen.size
	backgroundColor: "#F8B000"
	visible: no
Utils.labelLayer screenB, "Screen B"


# A Flow Component with a first screen,
# and with extra properties
flow = new FlowComponent screenA,
	width: Screen.width
	height: Screen.height - 40
	y: 20
	backgroundColor: "red"
	borderRadius: 20


# Tap on A ? -> Show screen B
screenA.onTap ->
	flow.showNext screenB

# Tap on B ? -> Return to A
screenB.onTap ->
	flow.showPrevious()
